Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 632144 - x11-libs/wxGTK-2.8.12.1-r2 x11-libs/wxGTK-3.0.2.0-r3 stabilization
Summary: x11-libs/wxGTK-2.8.12.1-r2 x11-libs/wxGTK-3.0.2.0-r3 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo wxWidgets Herd
URL:
Whiteboard:
Keywords: STABLEREQ
: 619778 (view as bug list)
Depends on:
Blocks: gcc-6-stable
  Show dependency tree
 
Reported: 2017-09-27 14:39 UTC by Andreas K. Hüttel
Modified: 2018-01-29 10:15 UTC (History)
4 users (show)

See Also:
Package list:
x11-libs/wxGTK-2.8.12.1-r2 x11-libs/wxGTK-3.0.2.0-r3
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2017-09-27 14:39:15 UTC
x11-libs/wxGTK-2.8.12.1-r2 x11-libs/wxGTK-3.0.2.0-r3 stabilization - please cc arches if possible. We need this for gcc-6 compatibility.
Comment 1 Mart Raudsepp gentoo-dev 2017-09-27 15:05:08 UTC
Any ideas on timeline? I'd rather fast-stabilize a 3.0.3 version for security (gst:0.10 and webkit-gtk:2 and webkit-gtk:3), but still need to get that actually done.. but should be ok to fast-stabilize after a week afterwards
Comment 2 Andreas K. Hüttel gentoo-dev 2017-10-21 16:31:42 UTC
Well, assuming the arches still also need some time, now would be a good moment to do something!
Comment 3 Andreas K. Hüttel gentoo-dev 2017-10-31 16:05:23 UTC
ping
Comment 4 Andreas K. Hüttel gentoo-dev 2017-11-08 20:22:50 UTC
ping
Comment 5 Andreas K. Hüttel gentoo-dev 2017-11-17 23:31:33 UTC
ping
Comment 6 Andreas K. Hüttel gentoo-dev 2017-11-18 16:46:30 UTC
Arches please do. Ack'ed by leio.
Comment 7 Sergei Trofimovich gentoo-dev 2017-11-18 18:55:42 UTC
ia64 stable
Comment 8 Sergei Trofimovich gentoo-dev 2017-11-18 19:55:02 UTC
ppc64 stable
Comment 9 Sergei Trofimovich gentoo-dev 2017-11-18 22:04:16 UTC
ppc stable
Comment 10 Thomas Deutschmann gentoo-dev Security 2017-11-19 19:21:01 UTC
x86 stable
Comment 11 Manuel Rüger (RETIRED) gentoo-dev 2017-11-20 13:50:40 UTC
Stable on amd64
Comment 12 Mart Raudsepp gentoo-dev 2017-11-21 09:51:16 UTC
*** Bug 619778 has been marked as a duplicate of this bug. ***
Comment 13 Tobias Klausmann gentoo-dev 2017-11-22 18:28:33 UTC
Stable on alpha.
Comment 14 Markus Meier gentoo-dev 2017-11-25 11:51:15 UTC
arm stable
Comment 15 Rolf Eike Beer 2017-12-24 15:54:08 UTC
sparc stable
Comment 16 Mart Raudsepp gentoo-dev 2018-01-04 18:05:56 UTC
hppa: I might be able to remove stable hppa keywords on SLOT=2.8 for wxGTK and wxpython after old versions of libkate are cleaned. The goal is to remove 2.8 overall anyways. Thus probably no need to waste CPU time on testing SLOT=2.8, but just SLOT=3.0 instead (and SLOT=3.0-gtk3 a bit later).
Comment 17 Mart Raudsepp gentoo-dev 2018-01-29 10:15:56 UTC
I agreed with hppa that they'll skip 2.8 on the premise that whatever is still consuming it can probably be cleaned up too (possibly with an upgrade to 3.0 usage), and they have 3.0.3 stable now for SLOT=3.0 part. So this is done for the purposes of stabling. During cleanup I'll handle myself anything that actually still needs 2.8 on hppa.